cpw.mods.fml.repackage.com.nothome.delta

## Class GDiffPatcher

- java.lang.Object
- - cpw.mods.fml.repackage.com.nothome.delta.GDiffPatcher

-     public class GDiffPatcher
      extends java.lang.Object

  This class patches an input file with a GDIFF patch file. The patch file follows the GDIFF file specification available at http://www.w3.org/TR/NOTE-gdiff-19970901.html.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDiffPatcher()` Constructs a new GDiffPatcher.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] argv)` Simple command line tool to patch a file.
    `byte[]` | `patch(byte[] source, byte[] patch)` Patches in memory, returning the patch result.
    `void` | `patch(byte[] source, java.io.InputStream patch, java.io.OutputStream output)` Patches to an output stream.
    `void` | `patch(java.io.File sourceFile, java.io.File patchFile, java.io.File outputFile)` Patches to an output file.
    `void` | `patch(SeekableSource source, java.io.InputStream patch, java.io.OutputStream out)` Patches to an output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GDiffPatcher

          public GDiffPatcher()

      Constructs a new GDiffPatcher.

  - ### Method Detail

    - #### patch

          public void patch(java.io.File sourceFile,
                   java.io.File patchFile,
                   java.io.File outputFile)
                     throws java.io.IOException

      Patches to an output file.
      Throws:
        `java.io.IOException`

    - #### patch

          public void patch(byte[] source,
                   java.io.InputStream patch,
                   java.io.OutputStream output)
                     throws java.io.IOException

      Patches to an output stream.
      Throws:
        `java.io.IOException`

    - #### patch

          public byte[] patch(byte[] source,
                     byte[] patch)
                       throws java.io.IOException

      Patches in memory, returning the patch result.
      Throws:
        `java.io.IOException`

    - #### patch

          public void patch(SeekableSource source,
                   java.io.InputStream patch,
                   java.io.OutputStream out)
                     throws java.io.IOException

      Patches to an output stream.
      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] argv)

      Simple command line tool to patch a file.